/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.layout;

public class AnchorParam{
	protected AnchorPos pos;
	protected int val;
	
	protected AnchorParam(int val,AnchorPos pos) {
		this.val=val;
		this.pos=pos;
	}
	
	public AnchorPos getPos() {
		return pos;
	}
	
	public int getVal() {
		return val;
	}
	
	public boolean percent() {
		return false;
	}
	
	public static AnchorParam left(int val) {
		return new AnchorParam(val, AnchorPos.left);
	}
	
	public static AnchorParam right(int val) {
		return new AnchorParam(val, AnchorPos.right);
	}
	
	public static AnchorParam top(int val) {
		return new AnchorParam(val, AnchorPos.top);
	}
	
	public static AnchorParam bottom(int val) {
		return new AnchorParam(val, AnchorPos.bottom);
	}
	
	public static AnchorParam width(int val) {
		return new AnchorParam(val, AnchorPos.width);
	}
	
	public static AnchorParam height(int val) {
		return new AnchorParam(val, AnchorPos.height);
	}
	
	public static AnchorParam distributeV(){
		return new AnchorParam(0, AnchorPos.distributeV);
	}
	
	public static AnchorParam distributeH(){
		return new AnchorParam(0, AnchorPos.distributeH);
	}
}