/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package shoshone.httpclient;

import net.util.URLEncoder;

public class PostParameter implements Cloneable {
	private String name,value;
	
	public PostParameter(String name,String value) {
		this.name=name;
		this.value=value;
	}
	
	public String getValue() {
		return value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	@Override
	public String toString() {
		return name+'='+URLEncoder.encode(value);
	}
	
	@Override
	public PostParameter clone()  {
		try {
			PostParameter copy= (PostParameter) super.clone();
			copy.name=new String(name);
			copy.value=new String(value);
			return copy;
		} catch (CloneNotSupportedException e) {
			throw new Error(e);
		}
	}
}
