package gui.settings.dialog;

import gui.settings.dialog.page.SettingsPage;

import javax.swing.tree.DefaultMutableTreeNode;

public class SettingsTreeNode extends DefaultMutableTreeNode{
	private static final long serialVersionUID = -1191112712679286116L;

	public SettingsTreeNode(String text) {
		super(text);
	}

	public SettingsTreeNode(SettingsPage page) {
		super(page);
	}
	
	public SettingsTreeNode addPage(SettingsPage page) {
		SettingsTreeNode node= new SettingsTreeNode(page);
		add(node);
		return node;
	}
}
