package io.linkextractor;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

import net.util.LinkExtractor;

public class YoutubeLinkExtractor extends LinkExtractor{

	@Override
	public String getLink(String url, String html, String[] args) {
		int qi=html.indexOf("quality=medium");
		int start=html.indexOf("url=", qi)+4;
		try {
			return URLDecoder.decode(html.substring(start, html.indexOf("\\u0026",start)),"UTF-8");
		} catch (UnsupportedEncodingException e) {
			throw new RuntimeException(e);
		}
	}

	@Override
	public String[] getArgNames() {
		return new String[0];
	}

}
