package net.util;

import settings.Settings;

public class ProxySettings {
	public static final String
   	SETTING_PROXY_ENABLED= "proxyEnabled",
	SETTING_PROXY_HOST="proxyHost",
	SETTING_PROXY_PORT="proxyPort";
	
	public static Proxy getProxySettings(Settings s){
		if (s.getBoolean(SETTING_PROXY_ENABLED)){
			return  Proxy.httpProxy(s.getString(SETTING_PROXY_HOST),
			s.getInt(SETTING_PROXY_PORT));
		} else {
			return Proxy.noProxy();
		}
	}
}
